# linear-presets

[![Build Status](https://travis-ci.org/javiercejudo/linear-presets.svg)](https://travis-ci.org/javiercejudo/linear-presets)
[![Coverage Status](https://coveralls.io/repos/javiercejudo/linear-presets/badge.svg?branch=master)](https://coveralls.io/r/javiercejudo/linear-presets?branch=master)
[![Code Climate](https://codeclimate.com/github/javiercejudo/linear-presets/badges/gpa.svg)](https://codeclimate.com/github/javiercejudo/linear-presets)

Linear presets for converting common units

## Install

    npm i linear-presets

## Presets

- [metric prefixes](https://github.com/javiercejudo/linear-presets-metric-prefixes)
- [length](https://github.com/javiercejudo/linear-presets-length)
- [mass](https://github.com/javiercejudo/linear-presets-mass)
- [time](https://github.com/javiercejudo/linear-presets-time)
- electric current
- [temperature](https://github.com/javiercejudo/linear-presets-temperature)
- [temperature difference](https://github.com/javiercejudo/linear-presets-temperature-difference)
- amount of substance
- velocity
- [area](https://github.com/javiercejudo/linear-presets-area)
- [volume](https://github.com/javiercejudo/linear-presets-volume)
- luminous intensity
- plane angle
- [digital information](https://github.com/javiercejudo/linear-presets-digital-information)

See [all npm packages with linear presets](https://www.npmjs.com/browse/keyword/linear-presets).

## See more

- [tests](test/presets.js)

## Related projects

- [linear-converter](https://github.com/javiercejudo/linear-converter): flexible linear converter with built in conversions for common units.
- [rescale](https://github.com/javiercejudo/rescale): rescales a point given two scales.
- [scale](https://github.com/javiercejudo/scale): scales normalised data.
- [normalise](https://github.com/javiercejudo/normalise): normalise data to [0, 1].
- [rescale-util](https://github.com/javiercejudo/rescale-util): rescale utilities.
